import { NgModule } from "@angular/core";
import { FormsModule } from "@angular/forms";
import { RouterModule } from "@angular/router";
import { SharedComponentModule } from "../modules/shared/shared-component.module";

import { TinyMCEComponent } from "./tinymce/tinymce.component";

@NgModule({
  imports: [
    SharedComponentModule,
    FormsModule,
    RouterModule.forChild([
      {
        path: "TinyMCE",
        component: TinyMCEComponent,
      },
    ]),
  ],
  exports: [],
  declarations: [TinyMCEComponent],
  providers: [],
})
export class DemoModule {}
