import { Component, OnInit, ViewContainerRef } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router } from '@angular/router';
import { ModalService } from 'src/app/core/modal.service';

@Component({
    selector: 'snse198',
    templateUrl: './SNSE198.component.html',
    styleUrls: ['./SNSE198.component.css']
})

export class SNSE198Component implements OnInit {

    constructor(
      private http: HttpService,
      private viewref: ViewContainerRef,
      private modal: ModalService,
    ) { }

    public CustomerList: any;
    public param: any;

  ngOnInit() {
  }

  public ConfrimProcess() {
    this.modal.confirm("Do you want to match back order online ?", this.viewref, this.Process);
  }

  public Process = () => {
    this.http.post("SL", "SNSE198_PROCESS", this.param)
      .subscribe(res => {
        if (res.STATUS_MESSAGE == 'DONE') {
          this.modal.info("Process was completed!", this.viewref);
        }
        else {
          this.modal.error("Process incomplete!!", this.viewref);
        }
      }, (err) => {
          this.modal.error('Found an error, please contact support team.', this.viewref);
      });
  }









}
