import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router } from '@angular/router';
import { MatTableDataSource } from '@angular/material/table';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';

@Component({
  selector: 'snpe024',
  templateUrl: './snpe024.component.html',
  styleUrls: ['./snpe024.component.css']
})

export class SNPE024Component implements OnInit {
  @ContentChild(TemplateRef, { static: false }) templateRef;
  @ViewChild(MatPaginator, { static: true }) paginator: MatPaginator;
  @ViewChild(MatSort, { static: true }) sort: MatSort;


  constructor(
    private http: HttpService,
    private router: Router
  ) { }

  public data: any;
  public dataList: any;
  public displayedColumns: string[] = [];
  public isCustomContent: boolean = false;
  public CustomerList: any = [];

  ngOnInit() {


    this.data = [{
      SEQ: '1',
      ACCEPTPARTNO: '1',
      PARTNAME :'1',
      QUANTITY: '1',
      UNITPRICE: '1',
      AMOUNT: '1',

    },
    {
      SEQ: '2',
      ACCEPTPARTNO: '2',
      QUANTITY: '2',
      PARTNAME: '2',
      UNITPRICE: '2',
      AMOUNT: '2',
    },
    {
      SEQ: '3',
      ACCEPTPARTNO: '3',
      QUANTITY: '3',
      PARTNAME: '3',
      UNITPRICE: '3',
      AMOUNT: '3',
    }
    ]

  }


}
