const hostname =
  typeof window != "undefined" ? window.location.hostname : "localhost";
const protocol =
  typeof window != "undefined" ? window.location.protocol : "localhost";
const origin =
  typeof window != "undefined" ? window.location.origin : "http://localhost";
const pathname = typeof window != "undefined" ? window.location.pathname : "/";

export const environment = {
  production: true,
  title: "Parts Management System",
  WebSocket: "http://" + hostname + ":8090",
  reportLocation: `${origin}`,
  apiLocation: `${origin}${pathname}pmsapi/`,
  // apiLocation: "".concat(protocol, "//", hostname, ":8090/api/"),
  report: {
    url: "".concat(protocol, "//", hostname, ":8090/ReportViewer.aspx"),
    rootPath: "PMS_Rep",
  },
};
