/*
Global functions
*/

import { browser, Key } from "protractor";

export class GlobalFunctions {
  public convertStringToNumber = (value: string) => {
    value = value.replace(/(\,)/g, "");

    return Number(value);
  }

  public selectDownKey() {
    browser.actions().sendKeys(Key.ARROW_DOWN).perform();
  }

  public selectEnterKey() {
    browser.actions().sendKeys(Key.RETURN).perform();
  }
}
