import { Component, OnInit, ViewChild, ViewContainerRef } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
//import { Router } from '@angular/router';
import { Globals } from 'src/app/core/global';
//import { FormControl, Validators } from '@angular/forms';
import { ModalService } from 'src/app/core/modal.service';
import { SelectionModel } from '@angular/cdk/collections';


@Component({
  selector: 'SNSE213',
  templateUrl: './SNSE213.component.html',
  styleUrls: ['./SNSE213.component.css']
})



export class SNSE213Component implements OnInit {
  

  constructor(
    private Http: HttpService,
    //private router: Router,
    private global: Globals,
    private modal: ModalService,
    private viewref: ViewContainerRef
  ) { }


  ngOnInit() {
  }


  public GoToReport(pReportNo) {
            if (pReportNo == 1) {
      this.global.GoToReport("PMS_RPT_SALES_SNSE005_N_ORD_PRICE_DIFF", {
        P_COMPANY_CODE: this.global.GetTokenDetail("ssComCode"),

      })
    }

  }
}
