import { Component, Input, OnChanges, OnInit, SimpleChanges, ViewChild, ViewContainerRef } from "@angular/core";
import { HttpService } from 'src/app/core/http.service';
import { ModalService } from 'src/app/core/modal.service';
import { ActivatedRoute } from '@angular/router';
import { Globals } from 'src/app/core/global';

@Component({
  selector: 'snpp206etd',
  templateUrl: './SNPP206ETD.component.html',
  styleUrls: ['./SNPP206ETD.component.css']
})
export class SNPP206ETDComponent implements OnInit {

  constructor(
    private http: HttpService,
    public modal: ModalService,
    public viewref: ViewContainerRef,
    private route: ActivatedRoute,
    private global: Globals
  ) {}

  @Input("tableName") tableName: String;
  @Input("tableData") tableData: Array<any> = [];

  ngOnInit() {
    
  }

}
