import { Component, OnInit } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';

@Component({
  selector: 'syslogs',
  templateUrl: 'syslogs.component.html',
  styleUrls: ['syslogs.component.css']
})

export class SyslogsComponent implements OnInit {
  constructor(private http: HttpService) { }

  public logList: any[];

  ngOnInit() { 
    this.GetSystemLogs()
  }

  private GetSystemLogs() {
    this.logList = [];
    this.http.get("System", "GetSystemLogs")
      .subscribe(res => {
        this.logList = res
      })
  }
}