import { Component, OnInit, ViewContainerRef } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { ModalService } from 'src/app/core/modal.service';
import * as moment from 'moment';

@Component({
  selector: 'SADM001',
  templateUrl: './SADM001.component.html',
  styleUrls: ['./SADM001.component.css']
})

export class SADM001Component implements OnInit {
  constructor(
    private http: HttpService,
    private modal: ModalService,
    private viewref: ViewContainerRef
  ) { }

  public paramSearch: any = {};

  public tabledata1: any = [];
  public tabledata2: any = [];
  public tabledata3: any = [];
  public tabledata4: any = [];
  public tabledata5: any = [];

  public currentDate: moment.Moment = moment();

  public ngOnInit() {
    this.Search();
  }

  public Search() {
    this.tabledata1 = [];
    this.tabledata2 = [];
    this.tabledata3 = [];
    this.tabledata4 = [];
    this.tabledata5 = [];
    this.http.post("wPMS", "SADM001_GetData", this.paramSearch)
      .subscribe(res => {
        this.tabledata1 = res.Table;
        this.tabledata2 = res.Table1;
        this.tabledata3 = res.Table2;
        this.tabledata4 = res.Table3;
        this.tabledata5 = res.Table4;
      }, (err) => {
        console.log(err, 'err')
        this.modal.warning("Found an error, please contract support team", this.viewref);
      });
  }
}

