import { Component, OnInit, ViewContainerRef } from "@angular/core";
import { HttpService } from 'src/app/core/http.service';
import { ModalService } from 'src/app/core/modal.service';



@Component({
  selector: 'SNSQ074_MR',
  templateUrl: './SNSQ074_MR.component.html',
  styleUrls: ['./SNSQ074_MR.component.css']
})

export class SNSQ074_MRComponent implements OnInit {



  constructor(
    private http: HttpService,
    private modal: ModalService,
    private viewref: ViewContainerRef
  ) { }

  public CustomerList: any;
  public tableData: any = [];
  public tableData2: any = [];
  public tableData3: any = [];
  public tableData4: any = [];
  public tableData5: any = [];
  public tableData6: any = [];
  public tableData13: any = [];
  public params: any = {};
  public paramshow: any = {};
  public tabindex = 0;
  public tabindex_CTL: number = 0;
  public selectlist = 0;
  public displayShow: any;
  public isDisabled: boolean;
  public option: any = {};

  public conditionList: any[] = [
   
    { value: '0', viewValue: 'ALL SALES CHANNEL', chkdisable: false },
    { value: '1', viewValue: 'ALL ZONE', chkdisable: false },
    { value: '2', viewValue: 'ALL CUSTOMER CODE', chkdisable: false},
    { value: '3', viewValue: 'ALL PRODUCT CODE', chkdisable: false},
    { value: '4', viewValue: 'ALL DESCRIPT CODE', chkdisable: false},
    { value: '5', viewValue: 'ALL PART NO', chkdisable: false},
    { value: '6', viewValue: 'SALES CHANNEL | ZONE AREA', chkdisable: false},
    { value: '7', viewValue: 'ZONE_AREA | CUSTOMER CODE', chkdisable: false},
    { value: '8', viewValue: 'CUSTOMER CODE | PRODUCT CODE', chkdisable: false},
    { value: '9', viewValue: 'PRODUCT CODE | DESCRIPTION CODE', chkdisable: false},
    { value: '10', viewValue: 'DESCRIPTION CODE | PART NO', chkdisable: false},
    { value: '11', viewValue: 'SALES CHANNEL & CUSTOMER CODE', chkdisable: false},
    { value: '12', viewValue: 'SALES CHANNEL & PRODUCT CODE', chkdisable: false},
    { value: '13', viewValue: 'SALES CHANNEL & DESCRIPT CODE', chkdisable: false},
    { value: '14', viewValue: 'SALES CHANNEL & PART NO', chkdisable: false},
    { value: '15', viewValue: 'ZONE AREA & PRODUCT CODE', chkdisable: false},
    { value: '16', viewValue: 'ZONE AREA & DESCRIPT CODE', chkdisable: false},
    { value: '17', viewValue: 'ZONE AREA & PART NO', chkdisable: false},
    { value: '18', viewValue: 'CUSTOMER CODE & DESCRIPT CODE', chkdisable: false},
    { value: '19', viewValue: 'CUSTOMER CODE & PART NO', chkdisable: false},
    { value: '20', viewValue: 'PRODUCT CODE & PART NO', chkdisable: false}
  ];




  public tblFooter: any = [
    {
      fieldName: "CHANNEL_NAME",
      value: "Total",
      show: true
    },
    {
      fieldName: "DATE_NET_AMT",

      show: true
    },
    {
      fieldName: "DATE_COST_AMT",

      show: true
    },
    {
      fieldName: "TARGET_PART_AMT",

      show: true
    },
    {
      fieldName: "MTD_NET_AMT",

      show: true
    },
    {
      fieldName: "DIFF_AMT",

      show: true
    }]

  public tblFooter2: any = [
    {
      fieldName: "ZONE_NAME",
      value: "Total",
      show: true
    },
    {
      fieldName: "TOTAL_NET_AMT",

      show: true
    },
    {
      fieldName: "TARGET_PART_AMT",

      show: true
    },
    {
      fieldName: "ACC_NET_AMT",

      show: true
    },
    {
      fieldName: "DIFF_AMT",

      show: true
    }]

  public tblFooter3: any = [
    {
      fieldName: "CUSTOMER_NAME",
      value: "Total",
      show: true
    },
    {
      fieldName: "TOTAL_NET_AMT",

      show: true
    },
    {
      fieldName: "TARGET_PART_AMT",

      show: true
    },
    {
      fieldName: "ACC_NET_AMT",

      show: true
    },
    {
      fieldName: "DIFF_AMT",

      show: true
    }]

  public tblFooter4: any = [
    {
      fieldName: "PRODUCT_NAME",
      value: "Total",
      show: true
    },
    {
      fieldName: "QTY",

      show: true
    },
    {
      fieldName: "NET_AMT",

      show: true
    },
    {
      fieldName: "ACT_AMT",

      show: true
    },
    {
      fieldName: "PRO_AMT",

      show: true
    },
    {
      fieldName: "N_SHARE",
      show: false
    },
    {
      fieldName: "P_SHARE",
      show: false
    },
    {
      fieldName: "GPR",
      value: "",
      show: true
    }]

  public tblFooter5: any = [
    {
      fieldName: "DESCRIPT_CODE",
      value: "Total",
      show: true
    },
    {
      fieldName: "QTY",

      show: true
    },
    {
      fieldName: "NET_AMT",

      show: true
    },
    {
      fieldName: "ACT_AMT",

      show: true
    },
    {
      fieldName: "PRO_AMT",

      show: true
    },
    {
      fieldName: "N_SHARE",
      show: false
    },
    {
      fieldName: "P_SHARE",
      show: false
    }]

  public tblFooter6: any = [
    {
      fieldName: "PART_NO",
      value: "Total",
      show: true
    },
    {
      fieldName: "QTY",

      show: true
    },
    {
      fieldName: "NET_AMT",

      show: true
    },
    {
      fieldName: "ACT_AMT",

      show: true
    },
    {
      fieldName: "PRO_AMT",

      show: true
    },
    {
      fieldName: "N_SH_RATE",
      value: "100.00",
      show: true
    },
    {
      fieldName: "P_SH_RATE",
      value: "100.00",
      show: true
    }]

  ngOnInit() {
    var month = (new Date().getMonth() + 1);
    var year = (new Date().getFullYear());

    this.params.PROCESS_MONTH = month;
    this.params.PROCESS_YEAR = year;
    this.HideTab();
  }

  public HideTab() {
    this.conditionList.forEach((v) => {
      if (parseInt(v.value) >= 6) {
        v.chkdisable = true;
      }
    });
  }

  public IsSelectRow(data: any) {

    if (data.SALES_CHANNEL) {

      this.params.SALES_CHANNEL = data.SALES_CHANNEL; 
      this.paramshow.DSP_SALES_CHANNEL = this.params.SALES_CHANNEL;
      this.conditionList[6].chkdisable = false;
      this.conditionList[11].chkdisable = false;
      this.conditionList[12].chkdisable = false;
      this.conditionList[13].chkdisable = false;
      this.conditionList[14].chkdisable = false;

    }

    if (data.ZONE_AREA) {

      this.params.ZONE_AREA = data.ZONE_AREA;
      this.paramshow.DSP_ZONE = this.params.ZONE_AREA;
      this.conditionList[7].chkdisable = false;
      this.conditionList[15].chkdisable = false;
      this.conditionList[16].chkdisable = false;
      this.conditionList[17].chkdisable = false;

    }

    if (data.CUSTOMER_CODE) {

      this.params.CUSTOMER_CODE = data.CUSTOMER_CODE;
      this.paramshow.DSP_CUSTOMER = this.params.CUSTOMER_CODE;
      this.conditionList[8].chkdisable = false;
      this.conditionList[18].chkdisable = false;
      this.conditionList[19].chkdisable = false;
    }

    if (data.PRODUCT_CODE) {

      this.params.PRODUCT_CODE = data.PRODUCT_CODE;
      this.paramshow.DSP_PRODUCT = this.params.PRODUCT_CODE;
      this.conditionList[9].chkdisable = false;
      this.conditionList[20].chkdisable = false;
    }

    if (data.DESCRIPT_CODE) {

      this.params.DESCRIPT_CODE = data.DESCRIPT_CODE;
      this.paramshow.DSP_DESC = this.params.DESCRIPT_CODE;
      this.conditionList[10].chkdisable = false;
    }

  }

  public SetSelectList(value) {

    this.selectlist = value//this.params.SELECT_LIST;

    if (this.selectlist == 0) {

      this.tabindex = 0;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;
      this.tableData = [];
      this.tableData2 = [];
      this.tableData3 = [];
      this.tableData4 = [];
      this.tableData5 = [];
      this.tableData6 = [];
      this.HideTab();

      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALLSALES", this.params)
        .subscribe(res => {
          this.tableData = res.Table;
          this.params.CURRENT_STOCK = res.Table[0].CURRENT_STOCK_AVG;
          this.params.MTD_COST_AMT = res.Table[0].ACC_AVG_AMT;
        }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
        });

    }
    if (this.selectlist == 1) {

      this.tabindex = 1;
      this.params.CURRENT_STOCK = null;
      this.params.MTD_COST_AMT = null;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;
      this.tableData = [];
      this.tableData2 = [];
      this.tableData3 = [];
      this.tableData4 = [];
      this.tableData5 = [];
      this.tableData6 = [];
      this.HideTab();

      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALLZONE", this.params)
        .subscribe(res => {
          this.tableData2 = res.Table;
        }, (err) => {
          console.log(err, 'err')
          this.modal.warning("Found an error, please contact support team", this.viewref);
        });

    }
    if (this.selectlist == 2) {

      this.tabindex = 2;
      this.params.CURRENT_STOCK = null;
      this.params.MTD_COST_AMT = null;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;
      this.tableData = [];
      this.tableData2 = [];
      this.tableData3 = [];
      this.tableData4 = [];
      this.tableData5 = [];
      this.tableData6 = [];
      this.HideTab();

      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALLCUSCODE", this.params)
        .subscribe(res => {
          this.tableData3 = res.Table;
        }, (err) => {
          console.log(err, 'err')
          this.modal.warning("Found an error, please contact support team", this.viewref);
        });

    }
    if (this.selectlist == 3) {

      this.tabindex = 3;
      this.params.CURRENT_STOCK = null;
      this.params.MTD_COST_AMT = null;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;
      this.tableData = [];
      this.tableData2 = [];
      this.tableData3 = [];
      this.tableData4 = [];
      this.tableData5 = [];
      this.tableData6 = [];
      this.HideTab();

      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALL_PRODUCT", this.params)
        .subscribe(res => {
          this.tableData4 = res.Table;
          this.params.SUM_GPR = res.Table[0].SUM_GPR;
          this.tblFooter4[7].value = this.params.SUM_GPR;
        }, (err) => {
          console.log(err, 'err')
          this.modal.warning("Found an error, please contact support team", this.viewref);
        });

    }
    if (this.selectlist == 4) {

      this.tabindex = 4;
      this.params.CURRENT_STOCK = null;
      this.params.MTD_COST_AMT = null;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;
      this.tableData = [];
      this.tableData2 = [];
      this.tableData3 = [];
      this.tableData4 = [];
      this.tableData5 = [];
      this.tableData6 = [];
      this.HideTab();
 
      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALL_DESC", this.params)
        .subscribe(res => {
          this.tableData5 = res.Table;
        }, (err) => {
          console.log(err, 'err')
          this.modal.warning("Found an error, please contact support team", this.viewref);
        });

    }
    if (this.selectlist == 5) {

      this.tabindex = 5;
      this.params.CURRENT_STOCK = null;
      this.params.MTD_COST_AMT = null;
      this.paramshow.DSP_SALES_CHANNEL = null;
      this.paramshow.DSP_ZONE = null;
      this.paramshow.DSP_CUSTOMER = null;
      this.paramshow.DSP_PRODUCT = null;
      this.paramshow.DSP_DESC = null;
      this.tableData = [];
      this.tableData2 = [];
      this.tableData3 = [];
      this.tableData4 = [];
      this.tableData5 = [];
      this.tableData6 = [];
      this.HideTab();
   
      console.log("tabindex =", this.tabindex);
      this.http.post("SL", "SNSQ074MR_GET_ALL_PART", this.params)
        .subscribe(res => {
          this.tableData6 = res.Table;
        }, (err) => {
          console.log(err, 'err')
          this.modal.warning("Found an error, please contact support team", this.viewref);
        });

    }
    if (this.selectlist == 6) {

      if (this.params.SALES_CHANNEL) {
        this.paramshow.SHOW_VAL = this.params.SALES_CHANNEL;

        this.http.post("SL", "SNSQ074MR_GET_SALSE_ZONE", this.params)
          .subscribe(res => {
            this.tableData2 = res.Table;
          }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        // go to tab zone
        this.tabindex = 1;
        //console.log("tabindex =", this.tabindex);
      }
      else {
        this.modal.warning("Please choose sales channel.", this.viewref);
      }

    }
    if (this.selectlist == 7) {

      if (this.params.ZONE_AREA) {
        this.paramshow.SHOW_VAL = this.params.ZONE_AREA;

        this.http.post("SL", "SNSQ074MR_GET_ZONE_CUST", this.params)
          .subscribe(res => {
            this.tableData3 = res.Table;
          }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        // go to tab customer code
        this.tabindex = 2;
      }
      else {
        this.modal.warning("Please choose zone area.", this.viewref);
      }
   

    }
    if (this.selectlist == 8) {

      if (this.params.CUSTOMER_CODE) {
        this.paramshow.SHOW_VAL = this.params.CUSTOMER_CODE;

        this.http.post("SL", "SNSQ074MR_GET_CUST_PROD", this.params)
          .subscribe(res => {
            this.tableData4 = res.Table;
            this.params.SUM_GPR = res.Table[0].SUM_GPR;
            this.tblFooter4[7].value = this.params.SUM_GPR;
          }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        // go to tab product code
        this.tabindex = 3;
      }
      else {
        this.modal.warning("Please choose customer code.", this.viewref);
      }


    }
    if (this.selectlist == 9) {

      if (this.params.PRODUCT_CODE) {
        this.paramshow.SHOW_VAL = this.params.PRODUCT_CODE;

        this.http.post("SL", "SNSQ074MR_GET_PROD_DESC", this.params)
          .subscribe(res => {
            this.tableData5 = res.Table;
          }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        // go to tab descript code
        this.tabindex = 4;
      }
      else {
        this.modal.warning("Please choose product code.", this.viewref);
      }
 

    }
    if (this.selectlist == 10) {

      if (this.params.DESCRIPT_CODE) {
        this.paramshow.SHOW_VAL = this.params.DESCRIPT_CODE;

        this.http.post("SL", "SNSQ074MR_GET_DESC_PART", this.params)
          .subscribe(res => {
            this.tableData6 = res.Table;
          }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        //go to tab part no
        this.tabindex = 5;
        console.log("tabindex =", this.tabindex);
      }
      else {
        this.modal.warning("Please choose description code.", this.viewref);
      }
  

    }
    if (this.selectlist == 11) {

      if (this.params.SALES_CHANNEL) {
        this.paramshow.SHOW_VAL = this.params.SALES_CHANNEL;

        this.paramshow.DSP_SALES_CHANNEL = this.params.SALES_CHANNEL;
        this.http.post("SL", "SNSQ074MR_GET_SALE_CUST", this.params)
          .subscribe(res => {
            this.tableData3 = res.Table;
          }, (err) => {
              console.log(err, 'err')
              this.modal.warning("Found an error, please contact support team", this.viewref);
          })

        // go to tab customer code
        this.tabindex = 2;
      }
      else {
        this.modal.warning("Please choose sales channel.", this.viewref);
      }

    }
    if (this.selectlist == 12) {

      if (this.params.SALES_CHANNEL) {
        this.paramshow.SHOW_VAL = this.params.SALES_CHANNEL;

        this.http.post("SL", "SNSQ074MR_GET_SALE_PROD", this.params)
          .subscribe(res => {
            this.tableData4 = res.Table;
            this.params.SUM_GPR = res.Table[0].SUM_GPR;
            this.tblFooter4[7].value = this.params.SUM_GPR;
          }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        //go to tab product code
        this.tabindex = 3;
      }
      else {
        this.modal.warning("Please choose sales channel.", this.viewref);
      }
     

    }
    if (this.selectlist == 13) {

      if (this.params.SALES_CHANNEL) {
        this.paramshow.SHOW_VAL = this.params.SALES_CHANNEL;

        this.http.post("SL", "SNSQ074MR_GET_SALE_DESC", this.params)
          .subscribe(res => {
            this.tableData5 = res.Table;
          }, (err) => {
              console.log(err, 'err')
              this.modal.warning("Found an error, please contact support team", this.viewref);
          })

        //go to tab sale channel
        this.tabindex = 4;
      }
      else {
        this.modal.warning("Please choose sales channel.", this.viewref);
      }
 
    }
    if (this.selectlist == 14) {

      if (this.params.SALES_CHANNEL) {
        this.paramshow.SHOW_VAL = this.params.SALES_CHANNEL;

        this.http.post("SL", "SNSQ074MR_GET_SALE_PART", this.params)
          .subscribe(res => {
            this.tableData6 = res.Table;
          }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        // go to tab part no
        this.tabindex = 5;
      }
      else {
        this.modal.warning("Please choose sales channel.", this.viewref);
      }
      
    }
    if (this.selectlist == 15) {

      if (this.params.ZONE_AREA) {
        this.paramshow.SHOW_VAL = this.params.ZONE_AREA;

        this.http.post("SL", "SNSQ074MR_GET_ZONE_PROD", this.params)
          .subscribe(res => {
            this.tableData4 = res.Table;
            this.params.SUM_GPR = res.Table[0].SUM_GPR;
            this.tblFooter4[7].value = this.params.SUM_GPR;
          }, (err) => {
              console.log(err, 'err')
              this.modal.warning("Found an error, please contact support team", this.viewref);
          })

        // go to tab product code
        this.tabindex = 3;
      }
      else {
        this.modal.warning("Please choose zone area.", this.viewref);
      }

    }
    if (this.selectlist == 16) {

      if (this.params.ZONE_AREA) {
        this.paramshow.SHOW_VAL = this.params.ZONE_AREA;

        this.http.post("SL", "SNSQ074MR_GET_ZONE_DESC", this.params)
          .subscribe(res => {
            this.tableData5 = res.Table;
          }, (err) => {
              console.log(err, 'err')
              this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        // go to tab descript code
        this.tabindex = 4;
      }
      else {
        this.modal.warning("Please choose zone area.", this.viewref);
      }
   

    }
    if (this.selectlist == 17) {

      if (this.params.ZONE_AREA) {
        this.paramshow.SHOW_VAL = this.params.ZONE_AREA;

        this.http.post("SL", "SNSQ074MR_GET_ZONE_PART", this.params)
          .subscribe(res => {
            this.tableData6 = res.Table;
          }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        //go to tab part no
        this.tabindex = 5;
      }
      else {
        this.modal.warning("Please choose zone area.", this.viewref);
      }
   
    }
    if (this.selectlist == 18) {

      if (this.params.CUSTOMER_CODE) {
        this.paramshow.SHOW_VAL = this.params.CUSTOMER_CODE;

        this.http.post("SL", "SNSQ074MR_GET_CUST_DESC", this.params)
          .subscribe(res => {
            this.tableData5 = res.Table;
          }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        //go to tab descript code
        this.tabindex = 4;
      }
      else {
        this.modal.warning("Please choose customer code.", this.viewref);
      }
   

    }
    if (this.selectlist == 19) {

      if (this.params.CUSTOMER_CODE) {
        this.paramshow.SHOW_VAL = this.params.CUSTOMER_CODE;

        this.http.post("SL", "SNSQ074MR_GET_CUST_PART", this.params)
          .subscribe(res => {
            this.tableData6 = res.Table;
          }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        //go to tab part no
        this.tabindex = 5;
      }
      else {
        this.modal.warning("Please choose customer code.", this.viewref);
      }


    }
    if (this.selectlist == 20) {

      if (this.params.PRODUCT_CODE) {
        this.paramshow.SHOW_VAL = this.params.PRODUCT_CODE;

        this.http.post("SL", "SNSQ074MR_GET_PROD_PART", this.params)
          .subscribe(res => {
            this.tableData6 = res.Table;
          }, (err) => {
            console.log(err, 'err')
            this.modal.warning("Found an error, please contact support team", this.viewref);
          });

        //go to tab part no
        this.tabindex = 5;
      }
      else {
        this.modal.warning("Please choose product code.", this.viewref);
      }
   

    }

    setTimeout(() => {
      this.tabindex_CTL = this.tabindex;
    }, 50)
  }

  public onTabClick(event) {
    this.tabindex = event.index;
    //console.log(this.tabindex);
  }


}
